#include <bits/stdc++.h>
using namespace std;
int a,x,y,b,v,c,t,k;
long long n,m;
int main(){
cin>>t;
while(t--){
    cin>>n>>m>>k;
    x=(((n/k)*((n/k)+1))/2)*(k-(n%k));
    y=((((n/k)+1)*((n/k)+2))/2)*(n%k);
    if(m-(x+y)>=0){
        cout<<"Tak"<<endl;
      }
        else cout<<"Nie"<<endl;
    }
return 0;
}